package com.engine.salary.enums.salarybill;

/**
 * @author Harryxzy
 * @date 2022/12/02 15:44
 * @description 补发工资名单规则
 */
public enum SalaryTemplateReplenishRuleEnum {

    ALL("ALL", "全部", 85155),

    BYRULE("BYRULE", "按规则", 138972);

    private String value;

    private String defaultLabel;

    private int labelId;

    SalaryTemplateReplenishRuleEnum(String value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    public String getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }

    public int getLabelId() {
        return labelId;
    }

}
